"use client";

import { motion } from "framer-motion";

interface TipCardProps {
  icon: string;
  title: string;
  description: string;
}

export function TipCard({ icon: Icon, title, description }: TipCardProps) {
  return (
    <motion.div
      initial={{ opacity: 0, y: 20 }}
      animate={{ opacity: 1, y: 0 }}
      transition={{ delay: 0.3 }}
      className="rounded-lg bg-white/95 p-4 shadow-md backdrop-blur-sm"
    >
      <div className="flex items-start gap-3">
        <span className="text-xl text-sky-500">{Icon}</span>
        <div className="space-y-1">
          <h3 className="text-sm font-medium text-gray-900">{title}</h3>
          <p className="text-xs text-gray-600">{description}</p>
        </div>
      </div>
    </motion.div>
  );
}
